Subject: bug#54410: closed (Re: bug#54410: One cl-defgeneric in xref.el should be cl-defmethod)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 17 Mar 2022 12:09:02 +0000

Your bug report

#54410: One cl-defgeneric in xref.el should be cl-defmethod

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54410: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54410
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54410: One cl-defgeneric in xref.el should be cl-defmethod
From: Philipp Stephani <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Thu, 17 Mar 2022 13:07:52 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Mi., 16. März 2022 um 04:29 Uhr schrieb Eli Zaretskii <[email-masked]>:
>
> > From: Philipp Stephani <[email-masked]>
> > Date: Wed, 16 Mar 2022 00:09:23 +0100
> >
> > Is the following patch good for the release branch?
>
> What problems are caused by the current code?

I'm using Edebug for coverage instrumentation, and that only works
right in an automated way if there are no duplicate instrumented
symbols, because Edebug attaches coverage information to individual
symbols. cl-defmethod takes care of this by generating additional
symbols, but cl-defgeneric doesn't.

>
> In general, I'd prefer to leave the release branch alone at this time,
> so we could release Emacs 28.1 soon.  It seems quite ready.

Fine with me, I've pushed it to master as commit
6ed3f04e5a3c8aee40a26805bb00cdd070eba319.

Subject: One cl-defgeneric in xref.el should be cl-defmethod
From: Philipp Stephani <[email-masked]>
To: [email-masked]
Date: Wed, 16 Mar 2022 00:09:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: patch

Is the following patch good for the release branch?

In GNU Emacs 28.0.92 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.31, cairo version 1.16.0)
 of 2022-03-14
Repository revision: 8e7a3f21e00649bacc01be627edd45ff01b51a33
Repository branch: emacs-28
Windowing system distributor 'The X.Org Foundation', version 11.0.12014000
System Description: Debian GNU/Linux rodete

Configured using:
 'configure --enable-gcc-warnings=warn-only
 --enable-gtk-deprecation-warnings --without-pop --with-mailutils
 --enable-checking=all --enable-check-lisp-object-type --with-modules
 'CFLAGS=-O0 -ggdb3''

diff --git a/lisp/progmodes/xref.el b/lisp/progmodes/xref.el
index 2fd5e19237..aefee31897 100644
--- a/lisp/progmodes/xref.el
+++ b/lisp/progmodes/xref.el
@@ -220,7 +220,7 @@ xref-location-group
   "A match xref item describes a search result."
   length)
 
-(cl-defgeneric xref-match-length ((item xref-match-item))
+(cl-defmethod xref-match-length ((item xref-match-item))
   "Return the length of the match."
   (xref-match-item-length item))

-- 
Google Germany GmbH
Erika-Mann-Straße 33
80636 München

Geschäftsführer: Paul Manicle, Liana Sebastian
Registergericht und -nummer: Hamburg, HRB 86891
Sitz der Gesellschaft: Hamburg

Diese E-Mail ist vertraulich.  Falls Sie diese fälschlicherweise erhalten haben
sollten, leiten Sie diese bitte nicht an jemand anderes weiter, löschen Sie
alle Kopien und Anhänge davon und lassen Sie mich bitte wissen, dass die E-Mail
an die falsche Person gesendet wurde.

This e-mail is confidential.  If you received this communication by mistake,
please don’t forward it to anyone else, please erase all copies and
attachments, and please let me know that it has gone to the wrong person.